org.eclipse.jgit.transport

## Enum Transport.Operation

- java.lang.Object
- - java.lang.Enum<Transport.Operation>
  - - org.eclipse.jgit.transport.Transport.Operation

All Implemented Interfaces:
  Serializable, Comparable<Transport.Operation>

Enclosing class:
  Transport

    public static enum Transport.Operation
    extends Enum<Transport.Operation>

Type of operation a Transport is being opened for.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FETCH` Transport is to fetch objects locally.
`PUSH` Transport is to push objects remotely.

### Method Summary

Methods
`static Transport.Operation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Transport.Operation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FETCH

    public static final Transport.Operation FETCH

Transport is to fetch objects locally.

#### PUSH

    public static final Transport.Operation PUSH

Transport is to push objects remotely.

### Method Detail

#### values

    public static Transport.Operation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Transport.Operation c : Transport.Operation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Transport.Operation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null